## org.ascape.model
Class Scape.ConditionalIterator

    java.lang.Object
      org.ascape.model.Scape.ConditionalIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  Scape

    public class Scape.ConditionalIterator

extends java.lang.Object
implements java.util.Iterator

Constructor Summary
`Scape.ConditionalIterator(java.util.Iterator iter, Conditional condition)`

Method Summary
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scape.ConditionalIterator

    public Scape.ConditionalIterator(java.util.Iterator iter,
                                     Conditional condition)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`